curl --request GET \
--url https://api.mn.co/admin/v1/networks/{network_id}/purchases/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/purchases/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/purchases/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"member_id": 123,
"member_email": "<string>",
"plan": {
"amount": 123,
"currency": "<string>",
"interval": "<string>",
"type": "<string>",
"has_free_trial": true,
"id": 123,
"name": "<string>"
},
"purchase": {
"id": "1234",
"purchased_at": "2026-09-27T20:54:56+00:00",
"created_at": "2026-09-27T20:54:55+00:00",
"updated_at": "2026-09-27T20:54:55+00:00",
"tax_percent": 123,
"payment_platform": "<string>"
},
"member_first_name": "<string>",
"member_last_name": "<string>",
"member_time_zone": "<string>",
"member_location": "<string>",
"member_referral_count": 123,
"member_avatar": "<string>",
"member_categories": "<string>",
"member_permalink": "<string>",
"member_ambassador_level": "<string>"
}{
"error": "<string>"
}Return a single purchase by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the purchase
The Network's unique integer ID, or subdomain Unique numeric network ID
Response
A purchase object
A purchase of a plan by a member
ID of the member who made the purchase
Email of the member. Empty when the member has not consented to commercial email, and masked as a***@***.*** unless the Network's plan includes member-email visibility.
The purchase plan
Show child attributes
Show child attributes
Detailed purchase information
Show child attributes
Show child attributes
Member's first name
Member's last name
Member's time zone
Member's location
Number of referrals made by this member
URL to the member's avatar image
Array of category objects with id and title
URL to member's profile page
The member's ambassador level